Search or ask Docker

Search images

GET /images/search — Docker Engine API 1.57.

View Markdown
GET/images/search
Search for an image on Docker Hub.

Connection and access

API connection and authentication guidance

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

term query Required

Term to search

Type: string

All schema constraints and annotations
{
  "type": "string"
}

limit query

Maximum number of results to return

Type: integer

All schema constraints and annotations
{
  "type": "integer"
}

filters query

A JSON encoded value of the filters (a map[string][]string) to process on the images list. Available filters:

  • is-official=(true|false)
  • stars=<number> Matches images that has at least 'number' stars.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

Request and responses

Response 200

No error

application/json

Type: array

Array item

Type: object

description

Type: string

All schema constraints and annotations
{
  "type": "string"
}
is_automated

Type: boolean

Whether this repository has automated builds enabled.


Deprecated: This field is deprecated and will always be "false".

All schema constraints and annotations
{
  "description": "Whether this repository has automated builds enabled.\n\n\u003cp\u003e\u003cbr /\u003e\u003c/p\u003e\n\n\u003e **Deprecated**: This field is deprecated and will always be \"false\".\n",
  "example": false,
  "type": "boolean"
}
is_official

Type: boolean

All schema constraints and annotations
{
  "type": "boolean"
}
name

Type: string

All schema constraints and annotations
{
  "type": "string"
}
star_count

Type: integer

All schema constraints and annotations
{
  "type": "integer"
}
All schema constraints and annotations
{
  "properties": {
    "description": {
      "type": "string"
    },
    "is_automated": {
      "description": "Whether this repository has automated builds enabled.\n\n\u003cp\u003e\u003cbr /\u003e\u003c/p\u003e\n\n\u003e **Deprecated**: This field is deprecated and will always be \"false\".\n",
      "example": false,
      "type": "boolean"
    },
    "is_official": {
      "type": "boolean"
    },
    "name": {
      "type": "string"
    },
    "star_count": {
      "type": "integer"
    }
  },
  "title": "ImageSearchResponseItem",
  "type": "object"
}
All schema constraints and annotations
{
  "items": {
    "properties": {
      "description": {
        "type": "string"
      },
      "is_automated": {
        "description": "Whether this repository has automated builds enabled.\n\n\u003cp\u003e\u003cbr /\u003e\u003c/p\u003e\n\n\u003e **Deprecated**: This field is deprecated and will always be \"false\".\n",
        "example": false,
        "type": "boolean"
      },
      "is_official": {
        "type": "boolean"
      },
      "name": {
        "type": "string"
      },
      "star_count": {
        "type": "integer"
      }
    },
    "title": "ImageSearchResponseItem",
    "type": "object"
  },
  "type": "array"
}

Example

[
  {
    "description": "A minimal Docker image based on Alpine Linux with a complete package index and only 5 MB in size!",
    "is_automated": false,
    "is_official": true,
    "name": "alpine",
    "star_count": 10093
  },
  {
    "description": "Busybox base image.",
    "is_automated": false,
    "is_official": true,
    "name": "Busybox base image.",
    "star_count": 3037
  },
  {
    "description": "The PostgreSQL object-relational database system provides reliability and data integrity.",
    "is_automated": false,
    "is_official": true,
    "name": "postgres",
    "star_count": 12408
  }
]

Response 500

Server error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/ErrorResponse

Complete operation contract
{
  "description": "Search for an image on Docker Hub.",
  "operationId": "ImageSearch",
  "parameters": [
    {
      "description": "Term to search",
      "in": "query",
      "name": "term",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "description": "Maximum number of results to return",
      "in": "query",
      "name": "limit",
      "schema": {
        "type": "integer"
      }
    },
    {
      "description": "A JSON encoded value of the filters (a `map[string][]string`) to process on the images list. Available filters:\n\n- `is-official=(true|false)`\n- `stars=\u003cnumber\u003e` Matches images that has at least 'number' stars.\n",
      "in": "query",
      "name": "filters",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "example": [
            {
              "description": "A minimal Docker image based on Alpine Linux with a complete package index and only 5 MB in size!",
              "is_automated": false,
              "is_official": true,
              "name": "alpine",
              "star_count": 10093
            },
            {
              "description": "Busybox base image.",
              "is_automated": false,
              "is_official": true,
              "name": "Busybox base image.",
              "star_count": 3037
            },
            {
              "description": "The PostgreSQL object-relational database system provides reliability and data integrity.",
              "is_automated": false,
              "is_official": true,
              "name": "postgres",
              "star_count": 12408
            }
          ],
          "schema": {
            "items": {
              "properties": {
                "description": {
                  "type": "string"
                },
                "is_automated": {
                  "description": "Whether this repository has automated builds enabled.\n\n\u003cp\u003e\u003cbr /\u003e\u003c/p\u003e\n\n\u003e **Deprecated**: This field is deprecated and will always be \"false\".\n",
                  "example": false,
                  "type": "boolean"
                },
                "is_official": {
                  "type": "boolean"
                },
                "name": {
                  "type": "string"
                },
                "star_count": {
                  "type": "integer"
                }
              },
              "title": "ImageSearchResponseItem",
              "type": "object"
            },
            "type": "array"
          }
        }
      },
      "description": "No error"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "Server error"
    }
  },
  "summary": "Search images",
  "tags": [
    "Image"
  ]
}